*-----------------------------------------*;  
* Author:      Kriss Harris               *;
* Email:       ITALJET125@YAHOO.COM       *;
* Description: Fill Patterns              *;
* Purpose:     Hands-On GTL               *;
*              SAS Global Forum 2016      *;
*	           5760                       *;
*-----------------------------------------*;                              

* Setting up paths;
%macro start;
  %let a=%sysget(SAS_EXECFILEPATH);
  %let b=%sysget(SAS_EXECFILENAME);

  %global path;
  %let path= %sysfunc(tranwrd(&a,&b,%str(setup.sas)));
  %put &path;
%mend;
%start;

%include "&path";
libname source "&inpath";

libname source "&inpath";

proc format;
  value trtfmt 0 = "Placebo"
              54 = "Xanomeline Low Dose"
			  81 = "Xanomeline High Dose";
run;

*---------------------------------------------------------------*;
*					    Datasets								*;	
*---------------------------------------------------------------*;

* ADAE;
data derm_teae;
  set source.adae;
  where TRTEMFL = "Y" and AOCC01FL = "Y";
run;

proc template;
  define statgraph fillpattern;
    begingraph;
      layout overlay;
	    barchart x = trtan y = aval / group = trtan groupdisplay = cluster display=(fillpattern outline) fillpatternattrs=(pattern=L1);
	  endlayout;
	endgraph;
  end;
run;

ods graphics / reset = all imagename = "barchart_fillpattern";

proc sgrender data = derm_teae template = fillpattern;
  format trtan trtfmt.;
run;

ods graphics / reset = all;
goptions reset = all;
