*-----------------------------------------*;  
* Author:      Kriss Harris               *;
* Email:       ITALJET125@YAHOO.COM       *;
* Description: Overlaying different plot  *;
*              types                      *;
* Purpose:     Hands-On GTL               *;
*              SAS Global Forum 2016      *;
*	           5760                       *;
*-----------------------------------------*;  

%let outpath =C:\Users\yex7977\Desktop\handson\HT01\output\figures;

data have;
  input id $1. bar dot1 dot2;
  datalines;
a 10 8 7
b 15 18 3
c 5 20 1
d -5 8 2
;
run;

proc template;
  define statgraph barwithdot;
    begingraph;
      layout overlay; * Overlaying different plot types;
        barchart x=id y=bar / orient = vertical;
        scatterplot x=id y=dot1 / markerattrs=graphdata1(symbol=circlefilled size=10);
        scatterplot x=id y=dot2 / markerattrs=graphdata2(symbol=trianglefilled size=10);
      endlayout;
    endgraph;
  end;
run;

proc sgrender data = have template = barwithdot;
run;

** This is a solution if the bar chart was Horizontal. From Sanjay Matange **;
proc sgplot data=have;
  hbar id/response=bar nostatlabel;
  dot id/response=dot1 nostatlabel markerattrs=graphdata1(symbol=circlefilled size=10);
  dot id/response=dot2 nostatlabel markerattrs=graphdata2(symbol=trianglefilled size=10);
run;
