*-----------------------------------------*;  
* Author:      Kriss Harris               *;
* Email:       ITALJET125@YAHOO.COM       *;
* Description: Modifying Axis and Legends *;
*              on multiple cell regression*;
*              plot                       *;
* Purpose:     Hands-On GTL               *;
*              SAS Global Forum 2016      *;
*	           5760                       *;
*-----------------------------------------*; 

* Setting up paths;
%macro start;
  %let a=%sysget(SAS_EXECFILEPATH);
  %let b=%sysget(SAS_EXECFILENAME);

  %global path;
  %let path= %sysfunc(tranwrd(&a,&b,%str(setup.sas)));
  %put &path;
%mend;
%start;

%include "&path";
libname source "&inpath";

* If you need to modify one of the axis or the legend than the only way to do that is with GTL. It is a good idea to first output the
  template using tmplout and then modify the Template.;

ods graphics / reset = all imagename = "SGScatter_default";

proc sgscatter data=sashelp.cars tmplout = "&outcode\sgscatteroutput.sas";
  plot mpg_highway*weight msrp*horsepower / reg=(clm cli);
run;

proc template;
   define statgraph scattertemp;
      begingraph;
	     layout lattice / columns = 2;
	        layout overlay / xaxisopts = (linearopts=(viewmin=0 viewmax = 8000));
		       modelband "myclm";
		       modelband "mycli" / outlineattrs=GraphPredictionLimits display=(outline);
		       scatterplot x=weight y=mpg_highway;
		       regressionplot x=weight y=mpg_highway / clm = "myclm" cli = "mycli" name = "regleg" 
                 legendlabel = "Fit and Confidence Limits";
		   endlayout;
		   layout overlay;
		      modelband "myclm2";
		      modelband "mycli2" /outlineattrs=GraphPredictionLimits display=(outline);
              scatterplot x=horsepower y=msrp;
		      regressionplot x=horsepower y=msrp /clm = "myclm2" cli = "mycli2";
		   endlayout;
		   sidebar / align=bottom;
		      discretelegend "regleg" / border=off;
		   endsidebar;
      endlayout;
	endgraph;
  end;
run;

ods graphics / reset = all imagename = "panelscatterreg";

proc sgrender data = sashelp.cars template = scattertemp;
run;

ods graphics / reset = all;
goptions reset = all;
